import matplotlib.pyplot as plt
import numpy as np

kategorien = ['Widertände', 'Kondensatoren', 'Transistoren', 'LEDs', 'Taster']
werte = [10, 8, 12, 7, 3]

plt.figure(figsize=(10, 6))
plt.bar(kategorien, werte, color='skyblue', edgecolor='black')

plt.title('Marktanteile elektronischer Komponenten', fontsize=14)
plt.xlabel('Kategorie', fontsize=12)
plt.ylabel('Marktvolumen in M€', fontsize=12)

for i, value in enumerate(werte):
    plt.text(i, value + 0.2, str(value), ha='center', fontsize=10)

plt.tight_layout()
plt.show()
