import matplotlib.pyplot as plt
import numpy as np

# Beispiel-Daten
x = np.linspace(0, 10, 100)
y1 = np.sin(x)
y2 = np.cos(x)

# Erstellen einer Figure mit 2 Subplots (1x2 Anordnung)
fig, (ax1, ax2) = plt.subplots(1, 2, figsize=(10, 4))

# Plot im ersten Subplot
ax1.plot(x, y1, label='sin(x)')
ax1.set_title('Sinusfunktion')
ax1.set_xlabel('x')
ax1.set_ylabel('sin(x)')
ax1.legend()

# Plot im zweiten Subplot
ax2.plot(x, y2, label='cos(x)', color='orange')
ax2.set_title('Cosinusfunktion')
ax2.set_xlabel('x')
ax2.set_ylabel('cos(x)')
ax2.legend()

# Layout anpassen und anzeigen
plt.tight_layout()
plt.show()