import matplotlib.pyplot as plt
import numpy as np

x = np.linspace(0, 10, 100)
y1 = np.sin(x)
y2 = np.cos(x)

fig, (ax1, ax2) = plt.subplots(1, 2, figsize=(6, 3))

ax1.plot(x, y1, label='sin(x)', color='g', linestyle=':', marker='.')
ax2.plot(x, y2, label='cos(x)', color='r', linestyle='--', marker='o')

plt.tight_layout()
plt.show()